/*
 * Copyright 2020 École des Mines de Saint-Étienne.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package fr.emse.gitlab.saref.entities.git;

/**
 *
 * @author maxime.lefrancois
 */
public class Term {
    
    private final String id;
    private final String localName;

    public Term(String id, String localName) {
        this.id = id;
        this.localName = localName;
    }

    public String getId() {
        return id;
    }

    public String getLocalName() {
        return localName;
    }
    
    
    /**
     * {@inheritDoc}
     * <p>
     * Hashcode is based only on the id.
     */
    @Override
    public int hashCode() {
        return getLocalName().hashCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean equals(Object o) {
        if (o instanceof Term) {
            final Term p = (Term) o;
            return getId().equals(p.getId())
                    && getLocalName().equals(p.getLocalName());
        }
        return false;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {
        final StringBuilder r = new StringBuilder();

        r.append("Term[");
        r.append(getId());
        r.append(", ");
        r.append(getLocalName());
        r.append("]");

        return r.toString();
    }
    

}
